UnrecognizedPropertyException (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.exc

## Class UnrecognizedPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.codehaus.jackson.JsonProcessingException
        - - org.codehaus.jackson.map.JsonMappingException
          - - org.codehaus.jackson.map.exc.UnrecognizedPropertyException

- All Implemented Interfaces:
    Serializable

      public class UnrecognizedPropertyException
      extends JsonMappingException

  Specialized `JsonMappingException` sub-class specifically used to indicate problems due to encountering a JSON property that could not be mapped to an Object property (via getter, constructor argument or field).
  Since:
    1.6
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `_referringClass` Class that does not contain mapping for the unrecognized property.
    `protected String` | `_unrecognizedPropertyName` Note: redundant information since it is also included in the reference path.

    - ### Fields inherited from class org.codehaus.jackson.map.JsonMappingException

      `_path`

    - ### Fields inherited from class org.codehaus.jackson.JsonProcessingException

      `mLocation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnrecognizedPropertyException(String msg, JsonLocation loc, Class<?> referringClass, String propName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnrecognizedPropertyException` | `from(JsonParser jp, Object fromObjectOrClass, String propertyName)`
    `Class<?>` | `getReferringClass()` Method for accessing type (class) that is missing definition to allow binding of the unrecognized property.
    `String` | `getUnrecognizedPropertyName()` Convenience method for accessing logical property name that could not be mapped.

    - ### Methods inherited from class org.codehaus.jackson.map.JsonMappingException

      `_appendPathDesc, from, from, getMessage, getPath, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class org.codehaus.jackson.JsonProcessingException

      `getLocation`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _referringClass

          protected final Class<?> _referringClass

      Class that does not contain mapping for the unrecognized property.

    - #### _unrecognizedPropertyName

          protected final String _unrecognizedPropertyName

      Note: redundant information since it is also included in the reference path.

  - ### Constructor Detail

    - #### UnrecognizedPropertyException

          public UnrecognizedPropertyException(String msg,
                                       JsonLocation loc,
                                       Class<?> referringClass,
                                       String propName)

  - ### Method Detail

    - #### from

          public static UnrecognizedPropertyException from(JsonParser jp,
                                           Object fromObjectOrClass,
                                           String propertyName)

    - #### getReferringClass

          public Class<?> getReferringClass()

      Method for accessing type (class) that is missing definition to allow binding of the unrecognized property.

    - #### getUnrecognizedPropertyName

          public String getUnrecognizedPropertyName()

      Convenience method for accessing logical property name that could not be mapped. Note that it is the last path reference in the underlying path.